package cn.hmsoft.weixin.entity.request;

import cn.hmsoft.weixin.entity.request.custom.CustomRequestJson;

public class TemplateSendRequestJson extends CustomRequestJson {
	private String template_id;
	private String url;
	private String topcolor;

	private Data data;

	public String getTopcolor() {
		return topcolor;
	}

	public void setTopcolor(String topcolor) {
		this.topcolor = topcolor;
	}

	public String getTemplate_id() {
		return template_id;
	}

	public void setTemplate_id(String template_id) {
		this.template_id = template_id;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public Data getData() {
		return data;
	}

	public void setData(Data data) {
		this.data = data;
	}

	public static class Data {
		private TemplateData first;
		private TemplateData keyword1;
		private TemplateData keyword2;
		private TemplateData keyword3;
		private TemplateData keyword4;
		private TemplateData keyword5;
		private TemplateData remark;
		
		//new
		private TemplateData thing1;
		private TemplateData thing2;
		private TemplateData thing3;
		private TemplateData thing4;
		private TemplateData thing5;
		private TemplateData thing6;
		private TemplateData thing7;
		private TemplateData thing8;
		private TemplateData thing9;
		private TemplateData thing10;
		private TemplateData thing11;
		private TemplateData thing12;
		private TemplateData thing13;
		private TemplateData thing14;
		private TemplateData thing15;
		private TemplateData thing16;
		private TemplateData thing17;
		private TemplateData thing18;
		
		private TemplateData time1;
		private TemplateData time2;
		private TemplateData time3;
		private TemplateData time4;
		private TemplateData time5;
		private TemplateData time6;
		private TemplateData time7;
		private TemplateData time8;
		private TemplateData time9;
		private TemplateData time10;
		private TemplateData time11;
		private TemplateData time12;
		private TemplateData time13;
		private TemplateData time14;
		private TemplateData time15;
		private TemplateData time16;
		private TemplateData time17;
		private TemplateData time18;
		
		private TemplateData amount1;
		private TemplateData amount2;
		private TemplateData amount3;
		private TemplateData amount4;
		private TemplateData amount5;
		private TemplateData amount6;
		private TemplateData amount7;
		private TemplateData amount8;
		private TemplateData amount9;
		private TemplateData amount10;
		private TemplateData amount11;
		private TemplateData amount12;
		private TemplateData amount13;
		private TemplateData amount14;
		private TemplateData amount15;
		private TemplateData amount16;
		private TemplateData amount17;
		private TemplateData amount18;

		public TemplateData getFirst() {
			return first;
		}

		public void setFirst(TemplateData first) {
			this.first = first;
		}

		public TemplateData getKeyword1() {
			return keyword1;
		}

		public void setKeyword1(TemplateData keyword1) {
			this.keyword1 = keyword1;
		}

		public TemplateData getKeyword2() {
			return keyword2;
		}

		public void setKeyword2(TemplateData keyword2) {
			this.keyword2 = keyword2;
		}

		public TemplateData getKeyword3() {
			return keyword3;
		}

		public void setKeyword3(TemplateData keyword3) {
			this.keyword3 = keyword3;
		}

		public TemplateData getKeyword4() {
			return keyword4;
		}

		public void setKeyword4(TemplateData keyword4) {
			this.keyword4 = keyword4;
		}

		public TemplateData getKeyword5() {
			return keyword5;
		}

		public void setKeyword5(TemplateData keyword5) {
			this.keyword5 = keyword5;
		}

		public TemplateData getRemark() {
			return remark;
		}

		public void setRemark(TemplateData remark) {
			this.remark = remark;
		}

		public TemplateData getThing1() {
			return thing1;
		}

		public void setThing1(TemplateData thing1) {
			this.thing1 = thing1;
		}

		public TemplateData getThing2() {
			return thing2;
		}

		public void setThing2(TemplateData thing2) {
			this.thing2 = thing2;
		}

		public TemplateData getThing3() {
			return thing3;
		}

		public void setThing3(TemplateData thing3) {
			this.thing3 = thing3;
		}

		public TemplateData getThing4() {
			return thing4;
		}

		public void setThing4(TemplateData thing4) {
			this.thing4 = thing4;
		}

		public TemplateData getThing5() {
			return thing5;
		}

		public void setThing5(TemplateData thing5) {
			this.thing5 = thing5;
		}

		public TemplateData getThing6() {
			return thing6;
		}

		public void setThing6(TemplateData thing6) {
			this.thing6 = thing6;
		}

		public TemplateData getThing7() {
			return thing7;
		}

		public void setThing7(TemplateData thing7) {
			this.thing7 = thing7;
		}

		public TemplateData getThing8() {
			return thing8;
		}

		public void setThing8(TemplateData thing8) {
			this.thing8 = thing8;
		}

		public TemplateData getThing9() {
			return thing9;
		}

		public void setThing9(TemplateData thing9) {
			this.thing9 = thing9;
		}

		public TemplateData getThing10() {
			return thing10;
		}

		public void setThing10(TemplateData thing10) {
			this.thing10 = thing10;
		}

		public TemplateData getThing11() {
			return thing11;
		}

		public void setThing11(TemplateData thing11) {
			this.thing11 = thing11;
		}

		public TemplateData getThing12() {
			return thing12;
		}

		public void setThing12(TemplateData thing12) {
			this.thing12 = thing12;
		}

		public TemplateData getThing13() {
			return thing13;
		}

		public void setThing13(TemplateData thing13) {
			this.thing13 = thing13;
		}

		public TemplateData getThing14() {
			return thing14;
		}

		public void setThing14(TemplateData thing14) {
			this.thing14 = thing14;
		}

		public TemplateData getThing15() {
			return thing15;
		}

		public void setThing15(TemplateData thing15) {
			this.thing15 = thing15;
		}

		public TemplateData getTime1() {
			return time1;
		}

		public void setTime1(TemplateData time1) {
			this.time1 = time1;
		}

		public TemplateData getTime2() {
			return time2;
		}

		public void setTime2(TemplateData time2) {
			this.time2 = time2;
		}

		public TemplateData getTime3() {
			return time3;
		}

		public void setTime3(TemplateData time3) {
			this.time3 = time3;
		}

		public TemplateData getTime4() {
			return time4;
		}

		public void setTime4(TemplateData time4) {
			this.time4 = time4;
		}

		public TemplateData getTime5() {
			return time5;
		}

		public void setTime5(TemplateData time5) {
			this.time5 = time5;
		}

		public TemplateData getTime6() {
			return time6;
		}

		public void setTime6(TemplateData time6) {
			this.time6 = time6;
		}

		public TemplateData getTime7() {
			return time7;
		}

		public void setTime7(TemplateData time7) {
			this.time7 = time7;
		}

		public TemplateData getTime8() {
			return time8;
		}

		public void setTime8(TemplateData time8) {
			this.time8 = time8;
		}

		public TemplateData getTime9() {
			return time9;
		}

		public void setTime9(TemplateData time9) {
			this.time9 = time9;
		}

		public TemplateData getTime10() {
			return time10;
		}

		public void setTime10(TemplateData time10) {
			this.time10 = time10;
		}

		public TemplateData getTime11() {
			return time11;
		}

		public void setTime11(TemplateData time11) {
			this.time11 = time11;
		}

		public TemplateData getTime12() {
			return time12;
		}

		public void setTime12(TemplateData time12) {
			this.time12 = time12;
		}

		public TemplateData getTime13() {
			return time13;
		}

		public void setTime13(TemplateData time13) {
			this.time13 = time13;
		}

		public TemplateData getTime14() {
			return time14;
		}

		public void setTime14(TemplateData time14) {
			this.time14 = time14;
		}

		public TemplateData getTime15() {
			return time15;
		}

		public void setTime15(TemplateData time15) {
			this.time15 = time15;
		}

		public TemplateData getAmount1() {
			return amount1;
		}

		public void setAmount1(TemplateData amount1) {
			this.amount1 = amount1;
		}

		public TemplateData getAmount2() {
			return amount2;
		}

		public void setAmount2(TemplateData amount2) {
			this.amount2 = amount2;
		}

		public TemplateData getAmount3() {
			return amount3;
		}

		public void setAmount3(TemplateData amount3) {
			this.amount3 = amount3;
		}

		public TemplateData getAmount4() {
			return amount4;
		}

		public void setAmount4(TemplateData amount4) {
			this.amount4 = amount4;
		}

		public TemplateData getAmount5() {
			return amount5;
		}

		public void setAmount5(TemplateData amount5) {
			this.amount5 = amount5;
		}

		public TemplateData getAmount6() {
			return amount6;
		}

		public void setAmount6(TemplateData amount6) {
			this.amount6 = amount6;
		}

		public TemplateData getAmount7() {
			return amount7;
		}

		public void setAmount7(TemplateData amount7) {
			this.amount7 = amount7;
		}

		public TemplateData getAmount8() {
			return amount8;
		}

		public void setAmount8(TemplateData amount8) {
			this.amount8 = amount8;
		}

		public TemplateData getAmount9() {
			return amount9;
		}

		public void setAmount9(TemplateData amount9) {
			this.amount9 = amount9;
		}

		public TemplateData getAmount10() {
			return amount10;
		}

		public void setAmount10(TemplateData amount10) {
			this.amount10 = amount10;
		}

		public TemplateData getAmount11() {
			return amount11;
		}

		public void setAmount11(TemplateData amount11) {
			this.amount11 = amount11;
		}

		public TemplateData getAmount12() {
			return amount12;
		}

		public void setAmount12(TemplateData amount12) {
			this.amount12 = amount12;
		}

		public TemplateData getAmount13() {
			return amount13;
		}

		public void setAmount13(TemplateData amount13) {
			this.amount13 = amount13;
		}

		public TemplateData getAmount14() {
			return amount14;
		}

		public void setAmount14(TemplateData amount14) {
			this.amount14 = amount14;
		}

		public TemplateData getAmount15() {
			return amount15;
		}

		public void setAmount15(TemplateData amount15) {
			this.amount15 = amount15;
		}

		public TemplateData getThing16() {
			return thing16;
		}

		public void setThing16(TemplateData thing16) {
			this.thing16 = thing16;
		}

		public TemplateData getThing17() {
			return thing17;
		}

		public void setThing17(TemplateData thing17) {
			this.thing17 = thing17;
		}

		public TemplateData getThing18() {
			return thing18;
		}

		public void setThing18(TemplateData thing18) {
			this.thing18 = thing18;
		}

		public TemplateData getTime16() {
			return time16;
		}

		public void setTime16(TemplateData time16) {
			this.time16 = time16;
		}

		public TemplateData getTime17() {
			return time17;
		}

		public void setTime17(TemplateData time17) {
			this.time17 = time17;
		}

		public TemplateData getTime18() {
			return time18;
		}

		public void setTime18(TemplateData time18) {
			this.time18 = time18;
		}

		public TemplateData getAmount16() {
			return amount16;
		}

		public void setAmount16(TemplateData amount16) {
			this.amount16 = amount16;
		}

		public TemplateData getAmount17() {
			return amount17;
		}

		public void setAmount17(TemplateData amount17) {
			this.amount17 = amount17;
		}

		public TemplateData getAmount18() {
			return amount18;
		}

		public void setAmount18(TemplateData amount18) {
			this.amount18 = amount18;
		}

	}

	public static class TemplateData {
		private String value;
		private String color;

		public String getValue() {
			return value;
		}

		public void setValue(String value) {
			this.value = value;
		}

		public String getColor() {
			return color;
		}

		public void setColor(String color) {
			this.color = color;
		}

	}

}
